WordPress User Photo bővítmény URL cross-site scripting sérülékenység

CH azonosító

CH-6829

Angol cím

WordPress User Photo Plugin URL Cross-Site Scripting Vulnerability

Felfedezés dátuma

2012.05.09.

Súlyosság

Alacsony

Érintett rendszerek

User Photo plugin
WordPress

Érintett verziók

WordPress User Photo bővítmény0.x

Összefoglaló

A WordPress User Photo bővítmény olyan sérülékenysége vált ismertté, amelyet a támadók kihasználhatnak cross-site scripting (XSS/CSS) támadások kezdeményezésére.

Leírás

Az URL segítségével a wp-admin/options-general.phprészére átadott bemenet nincs megfelelően megtisztítva a wp-content/plugins/user-photo/user-photo.php “userphoto_options_page()” függvényben, mielőtt a felhasználó részére visszaküldésre kerülne. Ezt kihasználva, tetszőleges HTML és script kódot lehet futtatni a felhasználó böngészőjének munkamenetében az érintett oldal vonatkozásában.
A sérülékenységet a 0.9.5.1. verzióban jelentették, de korábbi verziók is érintettek lehetnek.

Megoldás

Frissítsen a legújabb verzióra